/*!
 * @file turret_power_up.h
 * @brief A class representing a PowerUp in the world.
*/

#ifndef _TURRET_POWER_UP_H
#define _TURRET_POWER_UP_H

#include "power_up.h"

class TurretPowerUp : public PowerUp {

 public:
  TurretPowerUp();
  TurretPowerUp(const TiXmlElement* root);
  virtual ~TurretPowerUp ();

  private:
   void init();
   void loadParams(const TiXmlElement* root);
};

#endif /* _TURRET_POWER_UP_H */
